package com.qmth.themis.business.dto;

import com.qmth.themis.business.annotation.ExcelNotNull;

import java.io.Serializable;

/**
 * @Description: 考生导入dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public class ExamStudentImportDto implements Serializable {

    @ExcelNotNull
    private String name; //姓名
    @ExcelNotNull
    private String identity; //证件号
    @ExcelNotNull
    private String courseCode; //科目代码
    @ExcelNotNull
    private String courseName; //科目名称
    private String grade; //年级
    private String classNo; //教学班级
    private String examActivityCode; //场次
    private String roomCode; //考场代码
    private String roomName; //考场名称

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getClassNo() {
        return classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = classNo;
    }

    public String getExamActivityCode() {
        return examActivityCode;
    }

    public void setExamActivityCode(String examActivityCode) {
        this.examActivityCode = examActivityCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }
}
